mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Policy.IConstantMembershipCondition System.Security.Policy.IMembershipCondition System.Runtime.InteropServices.ComVisible(true)

The complete URL is considered, including the protocol (HTTP, HTTPS, FTP) and the file. For example, http://www.fourthcoffee.com/process/grind.htm is a complete URL.

URLs can be matched exactly or by a wildcard in the final position. For example, http://www.fourthcoffee.com/process/* is a wildcard URL.

Determines whether an assembly belongs to a code group by testing its URL. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The complete URL is considered, including the protocol (HTTP, HTTPS, FTP) and the file, for example: http://www.fourthcoffee.com/process/grind.htm.

  URLs can be matched exactly or by a wildcard in the final position, for example: http://www.fourthcoffee.com/process/*.

  Initializes a new instance of the class with the URL that determines membership.

  The URL for which to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This membership condition tests only the evidence object.

  Determines whether the specified evidence satisfies the membership condition.

  true if the specified evidence satisfies the membership condition; otherwise, false.

  The evidence set against which to make the test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition To be added

  Creates an equivalent copy of the membership condition.

  A new, identical copy of the current membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the URL from the specified object is equivalent to the URL contained in the current .

  true if the URL from the specified object is equivalent to the URL contained in the current ; otherwise, false.

  The object to compare to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The policy level context, used to resolve named permission set references.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code for the current membership condition.

  The hash code for the current membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the membership condition.

  A string representation of the state of the membership condition.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement `` To be added

  Creates an XML encoding of the security object and its current state with the specified .

  An XML encoding of the security object, including any state information.

  The policy level context for resolving named permission set references.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The complete URL is considered, including the protocol (HTTP, HTTPS, FTP) and the file. For example, http://www.fourthcoffee.com/process/grind.htm is a complete URL.

  URLs can be matched exactly or by a wildcard in the final position. For example, http://www.fourthcoffee.com/process/* is a wildcard URL.

  Gets or sets the URL for which the membership condition tests.